GPG - GNU Privacy Guard (Xenial & newer)

PPA description

New build of GnuPG 2.2.27 (gcrypt 1.8.7, gpg-error 1.41) for Xenial & newer.

+===========================================================================+
                   GPG - GNU Privacy Guard (Xenial & newer)
+===========================================================================+

gnupg2 (2.2.27), gpgme1.0 (1.15.0), libassuan (2.5.4), libgcrypt20 (1.8.7), libgpg-error (1.41), libksba (1.5.0), p11-kit (0.23.20), python-gnupg (0.4.6)

Xenial & Bionic only: gpa (0.10.0), libunistring (0.9.10), nettle (3.4.1)

Xenial only: autogen, gnutls28 (3.5.18), libtasn1-6, readline (7.0), unbound

+===========================================================================+

*** Install ***

To install this new GnuPG (needs newer APT) on Xenial systems do these steps:

  sudo add-apt-repository ppa:savoury1/apt-xenial
  sudo add-apt-repository ppa:savoury1/gpg
  sudo apt-get update
  sudo apt-get upgrade && sudo apt-get dist-upgrade

*** Build ***

This PPA has build dependencies on:

  ppa:savoury1/build-tools
  ppa:savoury1/backports

Additionally, for Xenial builds only:

  ppa:savoury1/gcc-defaults-7
  ppa:savoury1/tex-xenial

Building GnuPG 2.2.x requires GCC > 6 (due build failures with GCC 5.4.0) and also mingw-w64 >= 5.0 (found at ppa:savoury1/build-tools for Xenial systems).

*** Credits ***

- Creators of GnuPG: Werner Koch and the entire GnuPG team
  https://www.gnupg.org/people/index.html

- Package code: Debian GnuPG Maintainers
  https://tracker.debian.org/pkg/gnupg2

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:savoury1/gpg to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:savoury1/gpg
sudo apt-get update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

Display sources.list entries for:
deb http://ppa.launchpad.net/savoury1/gpg/ubuntu YOUR_UBUNTU_VERSION_HERE main 
deb-src http://ppa.launchpad.net/savoury1/gpg/ubuntu YOUR_UBUNTU_VERSION_HERE main 
Signing key:
4096R/E996735927E427A733BB653E374C7797FB006459 (What is this?)
Fingerprint:
E996735927E427A733BB653E374C7797FB006459

Dependencies:

For questions and bugs with software in this PPA please contact Rob Savoury.

PPA statistics

Activity
12 updates added during the past month.
View package details

Overview of published packages

146 of 46 results
Package Version Uploaded by
autogen 1:5.18.12-4~16.04.sav0 Rob Savoury (2020-02-20)
gnupg2 2.2.27-1ubuntu0~20.10.sav0 Rob Savoury (2021-02-21)
gnupg2 2.2.27-1ubuntu0~20.04.sav0 Rob Savoury (2021-02-21)
gnupg2 2.2.27-1ubuntu0~18.04.sav0 Rob Savoury (2021-02-21)
gnupg2 2.2.27-1ubuntu0~16.04.sav0 Rob Savoury (2021-02-21)
gnupg2 2.2.21-0ubuntu1~19.10.sav0 Rob Savoury (2020-07-18)
gnutls28 3.5.18-1ubuntu1.4~16.04.sav0 Rob Savoury (2020-07-07)
gpa 0.10.0-2~18.04.sav0 Rob Savoury (2019-12-03)
gpa 0.10.0-2~16.04.sav0 Rob Savoury (2019-12-03)
gpgme1.0 1.15.1-0ubuntu1~20.10.sav0 Rob Savoury (2021-01-17)
gpgme1.0 1.15.1-0ubuntu1~20.04.sav0 Rob Savoury (2021-01-17)
gpgme1.0 1.15.1-0ubuntu1~18.04.sav1 Rob Savoury (2021-01-17)
gpgme1.0 1.15.1-0ubuntu1~16.04.sav0 Rob Savoury (2021-01-17)
gpgme1.0 1.13.1-7ubuntu2~19.10.sav0 Rob Savoury (2020-03-18)
libassuan 2.5.4-0ubuntu1~20.10.sav0 Rob Savoury (2020-11-26)
libassuan 2.5.4-0ubuntu1~20.04.sav0 Rob Savoury (2020-11-26)
libassuan 2.5.4-0ubuntu1~18.04.sav0 Rob Savoury (2020-11-26)
libassuan 2.5.4-0ubuntu1~16.04.sav0 Rob Savoury (2020-11-26)
libgcrypt20 1.8.7-3ubuntu0~20.10.sav0 Rob Savoury (2021-02-21)
libgcrypt20 1.8.7-3ubuntu0~20.04.sav0 Rob Savoury (2021-02-21)
libgcrypt20 1.8.7-3ubuntu0~18.04.sav0 Rob Savoury (2021-02-21)
libgcrypt20 1.8.7-3ubuntu0~16.04.sav0 Rob Savoury (2021-02-21)
libgcrypt20 1.8.5-5ubuntu1~19.10.sav0 Rob Savoury (2020-03-14)
libgpg-error 1.41-0ubuntu1~20.10.sav0 Rob Savoury (2020-12-30)
libgpg-error 1.41-0ubuntu1~20.04.sav0 Rob Savoury (2020-12-30)
libgpg-error 1.41-0ubuntu1~18.04.sav0 Rob Savoury (2020-12-30)
libgpg-error 1.41-0ubuntu1~16.04.sav0 Rob Savoury (2020-12-30)
libgpg-error 1.38-1~19.10.sav0 Rob Savoury (2020-06-22)
libksba 1.5.0-3~20.10.sav0 Rob Savoury (2021-02-20)
libksba 1.5.0-3~20.04.sav0 Rob Savoury (2021-02-20)
libksba 1.5.0-3~18.04.sav0 Rob Savoury (2021-02-20)
libksba 1.5.0-3~16.04.sav0 Rob Savoury (2021-02-20)
libtasn1-6 4.13-2~16.04.sav0 Rob Savoury (2020-02-19)
libunistring 0.9.10-4~18.04.sav0 Rob Savoury (2020-06-09)
libunistring 0.9.10-4~16.04.sav0 Rob Savoury (2020-06-09)
nettle 3.4.1-1~18.04.sav0 Rob Savoury (2020-07-08)
nettle 3.4.1-1~16.04.sav0 Rob Savoury (2020-07-08)
p11-kit 0.23.20-1~19.10.sav0 Rob Savoury (2020-02-19)
p11-kit 0.23.20-1~18.04.sav0 Rob Savoury (2020-02-19)
p11-kit 0.23.20-1~16.04.sav0 Rob Savoury (2020-02-19)
python-gnupg 0.4.6-1~20.04.sav0 Rob Savoury (2020-09-07)
python-gnupg 0.4.6-1~18.04.sav0 Rob Savoury (2020-09-07)
python-gnupg 0.4.6-1~16.04.sav0 Rob Savoury (2020-09-07)
python-gnupg 0.4.5-1~19.10.sav0 Rob Savoury (2020-02-19)
readline 7.0-3~16.04.sav0 Rob Savoury (2020-01-06)
unbound 1.6.7-1ubuntu2.3~16.04.sav0 Rob Savoury (2020-06-22)
146 of 46 results

Latest updates

  • gnupg2 2 weeks ago
    Successfully built
  • gnupg2 2 weeks ago
    Successfully built
  • gnupg2 2 weeks ago
    Successfully built
  • gnupg2 2 weeks ago
    Successfully built
  • libgcrypt20 2 weeks ago
    Successfully built